{% if user.is_authenticated %}
    {% if latest_user_list %}
        <ul>
        {% for user in latest_user_list %}
            <li><a href={% url 'dashboard:homepage' user.id %}>{{ user.user_text }}</a></li>
        {% endfor %}<br>
        <br>
        <ul>
            {% for user in all_users %}
                <li><a href={% url 'dashboard:homepage' user.id %}>{{ user.user_text }}</a></li>
            {% endfor %}<br>
        <br>
    {% else %}
        <p>No user are available.</p>
    {% endif %}
    <form method="post" action="#">
        {% csrf_token %}
        <label>Insert New User:</label><br>
        <input type="text" name="user"><br>
        <label>Password:</label><br>
        <input type="text" name="password">
        <button type="submit" name="newuser">New User</button>
    </form>
{% endif %}
<a href="/login">login</a>